package org.wso2.carbon.core.services.filedownload;

import org.apache.axis2.context.ConfigurationContext;
import org.apache.axis2.context.MessageContext;
import org.wso2.carbon.utils.ServerConstants;

import javax.activation.DataHandler;
import javax.activation.FileDataSource;
import javax.activation.DataSource;
import java.util.Map;
import java.io.File;

public class FileDownloadService {

    public DataHandler downloadFile(String id) {
         ConfigurationContext configurationContext =
                    MessageContext.getCurrentMessageContext().getConfigurationContext();
            Map fileResourceMap =
                    (Map) configurationContext.getProperty(
                            ServerConstants.FILE_RESOURCE_MAP);
        String filePath = (String) fileResourceMap.get(id);
        File file = new File(filePath);
        if (file.exists()) {
            DataSource dataSource = new FileDataSource(file);
            return new DataHandler(dataSource);
        }
        return null;
    }
}
