/*
 * Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.registry.core;

public class ActionConstants {

    public static final String GET = "http://www.wso2.org/projects/registry/actions/get";
    public static final String PUT = "http://www.wso2.org/projects/registry/actions/add";
    public static final String DELETE = "http://www.wso2.org/projects/registry/actions/delete";

    public static final String APPLY_TAG = "http://www.wso2.org/projects/registry/actions/applyTag";
    public static final String GET_RESOURCES_WITH_TAG =
            "http://www.wso2.org/projects/registry/actions/getResourcesWithTag";
    public static final String GET_TAGS = "http://www.wso2.org/projects/registry/actions/getTags";

    //public static final String AUTHORIZE = "http://www.wso2.org/projects/registry/actions/authorize";

    public static final String ADD_USER = "http://www.wso2.org/projects/registry/actions/addUser";
    public static final String ADD_ROLE = "http://www.wso2.org/projects/registry/actions/addRole";
    public static final String REMOVE_USER =
            "http://www.wso2.org/projects/registry/actions/removeUser";
    public static final String REMOVE_ROLE =
            "http://www.wso2.org/projects/registry/actions/removeRole";
}
