package org.wso2.carbon.registry.core.jdbc.utils;

import org.wso2.carbon.registry.core.RegistryConstants;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMFactory;


public class ServiceConfigUtil {
    public static String[] params = RegistryConstants.GOVERNANCE_SERVICE_CONFIG.split(";");
    public static String[] states = RegistryConstants.GOVERNANCE_SERVICE_STATES.split(",");
    public static String[] contacts = RegistryConstants.GOVERNANCE_CONTACT_TYPES.split(",");
    public static String[] transportprotocols = RegistryConstants.GOVERNANCE_TRANSPORT_PROTOCOLS.split(",");
    public static String[] messageexchangepattern = RegistryConstants.GOVERNANCE_MESSAGE_EXCHANGE_PATTERN.split(",");
    public static String[] messageformats = RegistryConstants.GOVERNANCE_MESSAGE_FORMATS.split(",");
    public static String[] authplatform = RegistryConstants.GOVERNANCE_AUTHENTICATION_PLATFORMS.split(",");
    public static String[] authmechanism = RegistryConstants.GOVERNANCE_AUTHENTICATION_MECHANISMS.split(",");
    public static String[] messageencryption = RegistryConstants.GOVERNANCE_MESSAGE_ENCRYPTION.split(",");
    public static String[] authorplatform = RegistryConstants.GOVERNANCE_AUTHORIZATION_PLATFORMS.split(",");
    public static String[] messageintegrity = RegistryConstants.GOVERNANCE_MESSAGE_INTEGRITIY.split(",");
    public static String[][] allconfigs={states,contacts,transportprotocols,messageformats,messageexchangepattern,authplatform,authmechanism,authorplatform
            ,messageintegrity,messageencryption};
    public static OMFactory fac = OMAbstractFactory.getOMFactory();


    public static String getStates(String[] states,String param){
        OMElement serviceInfoElement = fac.createOMElement("serviceconfig", null);
        for(int i=0;i<states.length;i++){
            if(states[i] != null){
                OMElement childElement = fac.createOMElement(param, null);
                childElement.setText(states[i]);
                serviceInfoElement.addChild(childElement);
            }
        }
        return serviceInfoElement.toString();
    }
    public static String[] getAllConfigOMElementText(){
        String[] allomelementtext = new String[params.length];
        for(int i=0;i<params.length;i++){
            allomelementtext[i] = getStates(allconfigs[i],params[i]);
        }
        return allomelementtext;
    }
}
