package org.wso2.carbon.ui;

import java.rmi.RemoteException;

import javax.servlet.http.HttpServletRequest;

public class CarbonSSOAuthenticator extends DefaultCarbonAuthenticator {

	public static final String SSO_SESSION_ID = "ssoSessionId";
	private HttpServletRequest request;

	public CarbonSSOAuthenticator(HttpServletRequest request) {
		super(request);
		this.request = request;
	}

	/**
	 * {@inheritDoc}
	 */
	public boolean authenticate() throws RemoteException {
		String userName = null;
		String ssoSessionId = null;

		userName = request.getParameter("username");
		ssoSessionId = request.getParameter(SSO_SESSION_ID);
		return authenticate(userName, ssoSessionId);
	}

}
