<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="java.net.URL" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%
    String userGuideURL = (String) config.getServletContext().getAttribute(CarbonConstants.PRODUCT_XML_WSO2CARBON +
                                                                           CarbonConstants.PRODUCT_XML_USERGUIDE);
    if(userGuideURL == null){
        userGuideURL = "#";
    }

	String serverURL = (String) session.getAttribute(CarbonConstants.SERVER_URL);
    if (serverURL == null) {
        serverURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
        session.setAttribute(CarbonConstants.SERVER_URL, serverURL);
    }

%>
<fmt:bundle basename="org.wso2.carbon.i18n.Resources">

    <div id="header-div">
        <div class="right-logo">Management Console</div>
        <div class="left-logo"><a href="../admin/index.jsp" class="header-home"><img src="../admin/images/1px.gif" width="300px" height="32px"/></a></div>
        <div class="header-links">
		<div class="right-links">            
			<ul>
		                <%
		                    Boolean authenticated = (Boolean) request.getSession().getAttribute("authenticated");
		                    if (authenticated != null && authenticated.booleanValue()) {
		                        String signedInAs = (String) request.getSession().getAttribute("logged-user");
//		                        String serverURL = (String) request.getSession().getAttribute(CarbonConstants.SERVER_URL);
		                        URL url = new URL(serverURL);
		                %>
		                <li class="middle">
		                    <label id="logged-user">
		                        <strong><fmt:message key="signed.in.as"/>:</strong>&nbsp;<%=signedInAs%>@<%=url.getHost()%>:<%=url.getPort()%>
		                    </label>
		                </li>
				<li class="middle">|</li>
		                <li class="right">
		                    <a href="../admin/logout_action.jsp"><fmt:message key="sign.out"/></a>
		                </li>
		                <%  } else { %>
		                <li class="right">
		                    <a href="../admin/login.jsp"><fmt:message key="sign.in"/></a>
		                </li>
		                <%  } %>
		                <li class="middle">|</li>
		                <li class="middle">
		                    <a target="_blank" href="<%=userGuideURL %>"><fmt:message key="docs"/></a>
		                </li>
				<li class="middle">|</li>
				<%
				String aboutPageURL = "";
				if(CarbonUIUtil.isContextRegistered(config,"/product/")){
					aboutPageURL = "../product/about.html";
				}else{
					//switch to carbon about page
					aboutPageURL = "../docs/about.html";
				}
				%>
		                <li class="left">
		                    <a target="_blank" href="<%=aboutPageURL %>"><fmt:message key="about"/></a>
		                </li>
		            </ul>
		</div>
        </div>
    </div>
</fmt:bundle>