<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8"/>
    <title><tiles:getAsString name="title"/></title>
    <link href="../admin/css/global.css" rel="stylesheet" type="text/css" media="all"/>
    <link href="../admin/css/main.css" rel="stylesheet" type="text/css" media="all"/>
    <link href="../dialog/css/jqueryui/jqueryui-themeroller.css" rel="stylesheet" type="text/css"
          media="all"/>
    <link href="../dialog/css/dialog.css" rel="stylesheet" type="text/css" media="all"/>
    <link rel="icon" href="../admin/images/favicon.ico" type="image/x-icon"/>
    <link rel="shortcut icon" href="../admin/images/favicon.ico" type="image/x-icon"/>

    <script type="text/javascript" src="../admin/js/jquery.js"></script>
    <script type="text/javascript" src="../admin/js/jquery.form.js"></script>
    <script type="text/javascript" src="../dialog/js/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../admin/js/main.js"></script>
    <script type="text/javascript" src="../admin/js/WSRequest.js"></script>
    <script type="text/javascript" src="../admin/js/cookies.js"></script>
</head>

<body>
<div id="dcontainer"></div>
<script type="text/javascript" src="../dialog/js/dialog.js"></script>
<table id="main-table" border="0" cellspacing="0">
    <tr>
        <td id="header" colspan="2"><tiles:insertAttribute name="header"/></td>
    </tr>
    <tr>
        <td id="menu-panel" valign="top">
            <table id="menu-table" border="0" cellspacing="0">
                <tr>
                    <td id="region1"><tiles:insertAttribute name="region1"/></td>
                </tr>
                <tr>
                    <td id="region2"><tiles:insertAttribute name="region2"/></td>
                </tr>
                <tr>
                    <td id="region3"><tiles:insertAttribute name="region3"/></td>
                </tr>
                <tr>
                    <td id="region4"><tiles:insertAttribute name="region4"/></td>
                </tr>
                <tr>
                    <td id="region5"><tiles:insertAttribute name="region5"/></td>
                </tr>
                <tr>
                    <td><img src="../admin/images/1px.gif" width="225px" height="1px"/></td>
                </tr>
            </table>
        </td>
        <td id="middle-content">
            <table id="content-table" border="0" cellspacing="0">
                <tr>
                    <td id="page-header-links"><tiles:insertAttribute name="breadcrumb"/></td>
                </tr>
                <tr>
                    <td id="body">
                        <img src="../admin/images/1px.gif" width="735px" height="1px"/>
                        <tiles:insertAttribute name="body"/>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td id="footer" colspan="2"><tiles:insertAttribute name="footer"/></td>
    </tr>
</table>
</body>
</html>
