package org.wso2.carbon.user.core;

/**
 * This class represents the claim mapping between a given claim to the actual attribute which
 * resides in the user store.
 * 
 */
public class ClaimMapping {

	private Claim claim;
	private String mappedAttribute;

	public ClaimMapping() {

	}

	public ClaimMapping(Claim claim, String mappedAttribute) {
		this.claim = claim;
		this.mappedAttribute = mappedAttribute;
	}

	public Claim getClaim() {
		return claim;
	}

	public void setClaim(Claim claim) {
		this.claim = claim;
	}

	public String getMappedAttribute() {
		return mappedAttribute;
	}

	public void setMappedAttribute(String mappedAttribute) {
		this.mappedAttribute = mappedAttribute;
	}
}
