package org.wso2.carbon.user.core;

import java.util.Map;

public interface UserClaimsAdmin {

	/**
	 * 
	 * @param claimURI
	 * @return
	 */
	public String getAttributeName(String claimURI) throws UserStoreException;

	/**
	 * 
	 * @param claimURI
	 * @return
	 */
	public Claim getClaim(String claimURI) throws UserStoreException;

	public ClaimMapping getClaimMapping(String claimURI) throws UserStoreException;
	/**
	 * 
	 * @return
	 */
	public Claim[] getAllSupportClaimsByDefault() throws UserStoreException;

	/**
	 * 
	 * @return
	 */
	public Claim[] getAllRequiredClaims() throws UserStoreException;

	/**
	 * 
	 * @param mapping
	 */
	public void updateClaimMapping(ClaimMapping mapping) throws UserStoreException;

	/**
	 * 
	 * @param mapping
	 */
	public void addNewClaimMapping(ClaimMapping mapping) throws UserStoreException;

	/**
	 * 
	 * @param mapping
	 */
	public void deleteClaimMapping(ClaimMapping mapping) throws UserStoreException;

	/**
	 * 
	 * @return
	 */
	public Claim[] getAllClaims() throws UserStoreException;

	/**
	 * 
	 * @param dialectUri
	 * @return
	 */
	public Claim[] getAllClaims(String dialectUri) throws UserStoreException;
	
	public String[] getAllClaimUris() throws UserStoreException;

}
