package org.wso2.carbon.user.core.def;

import javax.sql.DataSource;
import java.util.List;
import java.util.ArrayList;

/**
 * Created by IntelliJ IDEA.
 * User: nandana
 * Date: Apr 15, 2009
 * Time: 8:36:13 PM
 * To change this template use File | Settings | File Templates.
 */
public class Util {

        /**
     *
     * @param path
     * @return
     */

    public static List<String> toComponenets(String path) {
        String[] results = path.split("/");
        List<String> resultArr = new ArrayList<String>();
        int start = 0;
        //Remobing the empty strings at start, but split javadoc
        //says it removes empty spaces
        if (results.length > 0 && results[0].length() == 0) {
            start = 1;
        }
        for (int i=start; i<results.length; i++) {
            resultArr.add(results[i]);
        }
        return resultArr;
    }

    public static TreeNode.Permission actionToPermission(String action) {
        if ("add".equals(action)) {
            return TreeNode.Permission.ADD;
        } else if ("get".equals(action)) {
            return TreeNode.Permission.GET;
        } else if ("delete".equals(action)) {
            return TreeNode.Permission.DELETE;
        } else if ("write".equals(action)) {
            return TreeNode.Permission.ADD;
        } else if ("read".equals(action)) {
            return TreeNode.Permission.GET;
        } else if ("edit".equals(action)) {
            return TreeNode.Permission.EDIT;
        } else if ("login".equals(action)) {
            return TreeNode.Permission.LOGIN;
        } else if ("manage-configuration".equals(action)) {
            return TreeNode.Permission.MAN_CONFIG;
        } else if ("manage-lc-configuration".equals(action)) {
            return TreeNode.Permission.MAN_LC_CONFIG;
        } else if ("manage-security".equals(action)) {
           return TreeNode.Permission.MAN_SEC;
        } else if ("upload-services".equals(action)) {
            return TreeNode.Permission.UP_SERV;
        } else if ("manage-services".equals(action)) {
            return TreeNode.Permission.MAN_SERV;
        } else if ("manage-mediation".equals(action)) {
            return TreeNode.Permission.MAN_MEDIA;
        } else if ("monitor-system".equals(action)) {
           return TreeNode.Permission.MON_SYS; 
        } else if ("http://www.wso2.org/projects/registry/actions/get".equals(action)) {
           return TreeNode.Permission.GET;
        } else if ("http://www.wso2.org/projects/registry/actions/add".equals(action)) {
           return TreeNode.Permission.ADD;
        } else if ("http://www.wso2.org/projects/registry/actions/delete".equals(action)) {
           return TreeNode.Permission.DELETE;
        } else if ("authorize".equals(action)) {
           return TreeNode.Permission.AUTHORIZE;
        } else if ("delegate-identity".equals(action)) {
            return TreeNode.Permission.DEL_ID;
        } else if ("invoke-service".equals(action)) {
            return TreeNode.Permission.INV_SER;
        } else if ("bam-data-collection".equals(action)) {
            return TreeNode.Permission.BAM_COLLECT;
        } else if ("bam-data-view".equals(action)) {
            return TreeNode.Permission.BAM_VIEW;
        }

        throw new IllegalArgumentException("Invalid action : " + action);
    }

}
