<%@page import="org.wso2.carbon.utils.ServerConstants"%>
<%@page import="org.wso2.carbon.user.ui.client.UserMgtClient" %>
<%@page import="org.wso2.carbon.ui.CarbonUIUtil"%>
<%@page import="org.apache.axis2.context.ConfigurationContext"%>
<%@page import="org.wso2.carbon.CarbonConstants"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="java.text.MessageFormat"%>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<jsp:useBean id="roleBeanEditPermission" type="org.wso2.carbon.user.ui.client.RoleBean" scope="session"/>
<jsp:setProperty name="roleBeanEditPermission" property="*"/>

<%
String forwardTo = null;
String BUNDLE = "org.wso2.carbon.userstore.ui.i18n.Resources";
ResourceBundle resourceBundle = ResourceBundle.getBundle(BUNDLE, request.getLocale());
String userType = (String)session.getAttribute("org.wso2.carbon.user.userType");
try {
        String roleName = roleBeanEditPermission.getRoleName();

        String cookie = (String)session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
        ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
        UserMgtClient client = new UserMgtClient(cookie, backendServerURL, configContext);

        
        String message = MessageFormat.format(resourceBundle.getString("role.update"), roleName);
        CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.INFO, request);
        if("external".equals(userType)){
            client.updateSystemPermissionsOfExternalRole(roleBeanEditPermission);
            forwardTo = "../userstore/ex-role-mgt.jsp?ordinal=1";
        }else if("special".equals(userType)){
            client.updateSystemPermissionsOfSpecialInternalRole(roleBeanEditPermission);
            forwardTo = "../userstore/ex-role-mgt.jsp?ordinal=1";
        }else{
             client.updateSystemPermissionsOfRole(roleBeanEditPermission);
             forwardTo = "role-mgt.jsp?ordinal=1";      
        }
        session.removeAttribute("org.wso2.carbon.user.userType");
        session.removeAttribute("roleBeanEditPermission");
    } catch (Exception e) {
	    String message = MessageFormat.format(resourceBundle.getString("role.cannot.update"),roleBeanEditPermission.getRoleName(), e.getMessage());
	    CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.ERROR, request);
        if("external".equals(userType)){
            forwardTo = "../userstore/ex-role-mgt.jsp?ordinal=1";
        }else if("special".equals(userType)){
            forwardTo = "../userstore/ex-role-mgt.jsp?ordinal=1";
        }else{
            forwardTo = "role-mgt.jsp?ordinal=1";      
        }
    }
%>

<script type="text/javascript">
    function forward() {
        location.href = "<%=forwardTo%>";
    }
</script>

<script type="text/javascript">
    forward();
</script>