<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@page import="org.wso2.carbon.user.ui.client.UserMgtClient" %>
<%@page import="org.wso2.carbon.utils.ServerConstants" %>
<%@page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@page import="org.apache.axis2.context.ConfigurationContext" %>
<%@page import="org.wso2.carbon.CarbonConstants" %>
<%@page import="org.wso2.carbon.ui.CarbonUIMessage"%>
<script type="text/javascript" src="../userstore/extensions/js/vui.js"></script>
<script type="text/javascript" src="../admin/js/main.js"></script>

<jsp:include page="../dialog/display_messages.jsp"/>
<jsp:useBean id="userBean" type="org.wso2.carbon.user.ui.client.UserBean" scope="session"/>
<jsp:setProperty name="userBean" property="*" />

<fmt:bundle basename="org.wso2.carbon.userstore.ui.i18n.Resources">
<jsp:include page="../userstore/display-messages.jsp"/>
    <carbon:breadcrumb label="select.roles"
                       resourceBundle="org.wso2.carbon.userstore.ui.i18n.Resources"
                       topPage="false" request="<%=request%>"/>

    <script type="text/javascript">
        function doValidation() {
            return true;
        }

       
        function doCancel() {
            location.href = 'user-mgt.jsp?ordinal=1';
        }

        function doBack() {
            history.go(-1);
        }
                
    </script>        
        
    <%
        String[] groupData = new String[0];
        try{

            String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
            String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
            ConfigurationContext configContext =
                (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
            UserMgtClient client = new UserMgtClient(cookie, backendServerURL, configContext);
            groupData = client.getInternalRoles();
        }catch(Exception e){
            CarbonUIMessage uiMsg = new CarbonUIMessage(e.getMessage(), CarbonUIMessage.ERROR, e);
            session.setAttribute(CarbonUIMessage.ID, uiMsg);
   %>
            <jsp:include page="../admin/error.jsp"/>
   <%
            return;
            }
   %>

    <div id="middle">
        <h2><fmt:message key="add.user"/></h2>

        <div id="workArea">
            <h3><fmt:message key="step.2.user"/></h3>
            <form method="get" action="add-finish.jsp" name="dataForm">
                <table class="styledLeft" id="userAdd" width="60%">
                    <thead>
                    <tr>
                        <th><fmt:message key="select.roles"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRaw">
                            <table class="normal">
                                 <tr>
                                    <td colspan="2">
                                        <a href="#" onclick="doSelectAll('userRoles');"/><fmt:message key="select.all"/></a> | 
                                        <a href="#" onclick="doUnSelectAll('userRoles');"/><fmt:message key="unselect.all"/></a>
                                    </td>
                                 </tr> 
                                 <tr>
                                     <td>
                                        <table class="normal" id="rolesTableId">
                                            <%
                                                if (groupData != null) {
                                                    for (String data : groupData) {
                                                        if (data != null) { //Confusing!!. Sometimes a null object comes. Maybe a bug in Axis!!
                                                            if("everyone".equals(data) || "guests".equals(data)){
                                                               continue;
                                                            }
                                            %>
                                            <tr>
                                                <td><input type="checkbox" name="userRoles"
                                                           value="<%=data%>"/> <%=data%>
                                                </td>
                                            </tr>
                                            <%
                                                        }
                                                    }
                                                }
                                            %>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input type="button" class="button" value="< <fmt:message key="back"/>" onclick="doBack();"/>
                            <input type="submit" class="button" value="<fmt:message key="finish"/>">
                            <input type="button" class="button" value="<fmt:message key="cancel"/>" onclick="doCancel();"/>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
        <p>&nbsp;</p>
    </div>
</fmt:bundle>