/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.carbon.registry.core.test.performance;

import org.wso2.carbon.registry.core.Registry;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public abstract class Worker extends Thread {

    private static final Log log = LogFactory.getLog(Worker.class);

    protected int iterations;
    protected Registry registry;
    protected String threadName;
    protected String basePath;

    public Worker(String threadName, int iterations, Registry registry) {
        this.threadName = threadName;
        this.iterations = iterations;
        this.registry = registry;

        this.basePath = "/test/thread_" + threadName + "/resourceZ";
    }
}
