<%@ page import="org.wso2.carbon.ui.CarbonUIUtil"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<fmt:bundle basename="org.wso2.carbon.i18n.Resources">

<%
    Object param = session.getAttribute("authenticated");
    boolean loggedIn = false;
    if (param != null) {
        loggedIn = (Boolean)param;
    }
    boolean serverAdminComponentFound = CarbonUIUtil.isContextRegistered(config, "/server-admin/");
%>

    <div id="middle">
        <%
            String serverName =
                    CarbonUIUtil.getServerConfigurationProperty("Name");
        %>
        <h2>
            <fmt:message key="carbon.server.home">
                <fmt:param value="<%= serverName%>"/>
            </fmt:message>
        </h2>

        <p>
            <fmt:message key="carbon.console.welcome">
                <fmt:param value="<%= serverName%>"/>
            </fmt:message>
        </p>

        <p>&nbsp;</p>

        <div id="workArea">
        <div id="systemInfoDiv">
            <%
                if (loggedIn && serverAdminComponentFound) {
            %>
            <div id="result"></div>
            <script type="text/javascript">
                jQuery.noConflict();
                var refresh;
                function refreshStats() {
                    var url = "../server-admin/system_status_ajaxprocessor.jsp";
                    var data = null;
                    try {
                        jQuery.ajax({
                            url: "../admin/jsp/session-validate.jsp",
                            type: "GET",
                            dataType: "html",
                            data: data,
                            complete: function(res, status){
                                if (res.responseText.search(/----valid----/) != -1) {
                                    jQuery("#result").load(url, null, function (responseText, status, XMLHttpRequest) {
                                        if (status != "success") {
                                            stopRefreshStats();
                                        }
                                    });
                                } else {
                                    stopRefreshStats();
                                }
                            }
                        });
                    } catch (e) {
                    } // ignored
                }
                function stopRefreshStats() {
                    if (refresh) {
                        clearInterval(refresh);
                    }
                }
                try {
                    jQuery(document).ready(function() {
                        refreshStats();
                        if (document.getElementById('systemInfoDiv').style.display == '') {
                            refresh = setInterval("refreshStats()", 6000);
                        }
                    });
                } catch (e) {
                } // ignored
            </script>
            <%
                }
            %>
        </div>
        </div>
    </div>
</fmt:bundle>
