package org.wso2.carbon.user.core.hybrid.jdbc;

import javax.sql.DataSource;

import org.apache.commons.dbcp.BasicDataSource;

public class JDBCRealmConfig {
    
private DataSource dataSource = null;
    
    private String connectionName = null;
    
    private String connectionPassword = null;
    
    private String connectionURL = null;
    
    private String driverName = null;
    
    private String roleListSQL = null;
    
    private String userFilterSQL = null;
    
    private String userListSQL = null;
    
    private String userPasswordSQL = null;
    
    private String userRoleSQL = null;
    
    private String usersInRoleSQL = null;

    private String isUserExistingSQL = null;
    
    private String attributesSQL = null;
    
    private String attrsForProfileSQL = null;
    
    private String profileNamesSQL = null;
    
    public String getConnectionPassword() {
        return connectionPassword;
    }

    public void setConnectionPassword(String connectionPassword) {
        this.connectionPassword = connectionPassword;
    }

    public String getConnectionURL() {
        return connectionURL;
    }

    public void setConnectionURL(String connectionURL) {
        this.connectionURL = connectionURL;
    }

    public String getConnectionName() {
        return connectionName;
    }

    public void setConnectionName(String connectionName) {
        this.connectionName = connectionName;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getRoleListSQL() {
        return roleListSQL;
    }

    public void setRoleListSQL(String roleListSQL) {
        this.roleListSQL = roleListSQL;
    }

    public String getUserFilterSQL() {
        return userFilterSQL;
    }

    public void setUserFilterSQL(String userFilterSQL) {
        this.userFilterSQL = userFilterSQL;
    }

    public String getUserPasswordSQL() {
        return userPasswordSQL;
    }

    public void setUserPasswordSQL(String userPasswordSQL) {
        this.userPasswordSQL = userPasswordSQL;
    }

    public String getUserRoleSQL() {
        return userRoleSQL;
    }

    public void setUserRoleSQL(String userRoleSQL) {
        this.userRoleSQL = userRoleSQL;
    }

    public String getUsersInRoleSQL() {
        return usersInRoleSQL;
    }

    public void setUsersInRoleSQL(String usersInRoleSQL) {
        this.usersInRoleSQL = usersInRoleSQL;
    }

    public String getIsUserExistingSQL() {
        return isUserExistingSQL;
    }

    public void setIsUserExistingSQL(String isUserExistingSQL) {
        this.isUserExistingSQL = isUserExistingSQL;
    }
    
    public String getUserListSQL() {
        return userListSQL;
    }

    public void setUserListSQL(String userListSQL) {
        this.userListSQL = userListSQL;
    }

    public DataSource getDataSource() {
        if(dataSource == null){
            BasicDataSource ds = new BasicDataSource();
            ds.setDriverClassName(this.driverName);
            ds.setUrl(this.connectionURL);
            ds.setUsername(this.connectionName);
            ds.setPassword(this.connectionPassword);
            dataSource = ds;
        }
        return dataSource;
    }

    public String getAttrsForProfileSQL() {
        return attrsForProfileSQL;
    }

    public void setAttrsForProfileSQL(String attrsForProfileSQL) {
        this.attrsForProfileSQL = attrsForProfileSQL;
    }

    public String getProfileNamesSQL() {
        return profileNamesSQL;
    }

    public void setProfileNamesSQL(String profileNamesSQL) {
        this.profileNamesSQL = profileNamesSQL;
    }

    public String getAttributesSQL() {
        return attributesSQL;
    }

    public void setAttributesSQL(String attributesSQL) {
        this.attributesSQL = attributesSQL;
    }
    
    
   

}
