package org.wso2.carbon.user.core.util;

import javax.naming.NamingException;
import javax.naming.directory.DirContext;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.wso2.carbon.user.core.UserStoreException;

public class JNDIUtil {

    private static Log log = LogFactory.getLog(JNDIUtil.class);

    public static void closeContext(DirContext dirContext) throws UserStoreException {
        try {
            if (dirContext != null) {
                dirContext.close();
            }
        } catch (NamingException e) {
            log.error(e.getMessage(), e);
            throw new UserStoreException(e.getMessage(), e);
        }
    }

}
