<%@page import="org.wso2.carbon.CarbonConstants" %>
<%@page import="org.apache.axis2.context.ConfigurationContext" %>
<%@page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.user.ui.client.UserMgtClient" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%
    String forwardTo = null;
    String roleName = request.getParameter("roleName");
    String type = request.getParameter("userType");
    String BUNDLE = "org.wso2.carbon.userstore.ui.i18n.Resources";
    ResourceBundle resourceBundle = ResourceBundle.getBundle(BUNDLE, request.getLocale());
    try {
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
        ConfigurationContext configContext =
                (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
        UserMgtClient client = new UserMgtClient(cookie, backendServerURL, configContext);

        if ("special".equals(type)) {
            client.deleteSpecialInternalRole(roleName);
            forwardTo = "../userstore/ex-role-mgt.jsp";
        } else {
            client.deleteRoleFromInternalStore(roleName);
            forwardTo = "role-mgt.jsp";
        }
    } catch (Exception e) {
        String message = MessageFormat.format(resourceBundle.getString("role.cannot.delete"),
                new Object[]{roleName, e.getMessage()});
        CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.ERROR, request);
        if ("external".equals(type)) {
            forwardTo = "../userstore/ex-role-mgt.jsp";
        } else {
            forwardTo = "role-mgt.jsp";
        }
    }
%>
<%@page import="java.util.ResourceBundle" %>
<%@page import="java.text.MessageFormat" %>
<script type="text/javascript">
    function forward() {
        location.href = "<%=forwardTo%>";
    }
</script>

<script type="text/javascript">
    forward();
</script>