<%@page import="org.wso2.carbon.utils.ServerConstants" %>
<%@page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@page import="org.apache.axis2.context.ConfigurationContext" %>
<%@page import="org.wso2.carbon.CarbonConstants" %>
<%@page import="org.wso2.carbon.user.ui.client.UserMgtClient" %>
<%@page import="org.wso2.carbon.user.ui.client.UserStoreConfigBean" %>
<%@page import="java.util.ResourceBundle" %>
<%@page import="java.text.MessageFormat" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>

<jsp:useBean id="configBean" class="org.wso2.carbon.user.ui.client.UserStoreConfigBean"
             scope="page"/>
<jsp:setProperty name="configBean" property="*"/>
<%
    String forwardTo = null;
    String BUNDLE = "org.wso2.carbon.userstore.ui.i18n.Resources";
    ResourceBundle resourceBundle = ResourceBundle.getBundle(BUNDLE, request.getLocale());
    try {
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
        ConfigurationContext configContext =
                (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
        UserMgtClient client = new UserMgtClient(cookie, backendServerURL, configContext);

        String message = resourceBundle.getString("userstore.add");

        client.addExternalUserStoreConfig(configBean);
        CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.INFO, request);
        %>
                <script type="text/javascript">
                       location.href = "index.jsp";
                </script>
        <%
        return;
    } catch (Exception e) {
        String message = MessageFormat.format(resourceBundle.getString("userstore.cannot.add"),
                new Object[] {e.getMessage()});
        CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.ERROR, request);
        %>
                <script type="text/javascript">
                       location.href = "index.jsp";
                </script>
        <%
    }
%>
