<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.wso2.carbon.user.ui.client.UserMgtClient" %>
<%@page import="org.wso2.carbon.utils.ServerConstants" %>
<%@page import="org.apache.axis2.context.ConfigurationContext" %>
<%@page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@page import="org.wso2.carbon.CarbonConstants" %>
<%@page import="java.util.Map"%>
<%@page import="org.wso2.carbon.CarbonError"%>
<%@page import="org.wso2.carbon.ui.CarbonUIMessage"%>
<script type="text/javascript" src="extensions/js/vui.js"></script>
<script type="text/javascript" src="../admin/js/main.js"></script>

<jsp:include page="../dialog/display_messages.jsp"/>

    <%
                Map<String, String> datas = null;
                String type = null;
                String roleNoStarDisplayStyle = "";
                String roleStarDisplayStyle = "style=\"display:none;\"";
                String attrNoStarDisplayStyle = "";
                String attrStarDisplayStyle = "style=\"display:none;\"";
                String profNoStarDisplayStyle = "";
                String profStarDisplayStyle = "style=\"display:none;\"";
                String roleChecked = "";
                String attrChecked = "";
                String profChecked = "";
                try {
                    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
                    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(),
                            session);
                    ConfigurationContext configContext = (ConfigurationContext) config
                            .getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
                    UserMgtClient client = new UserMgtClient(cookie, backendServerURL, configContext);

                    datas = client.getExternalUserStoreConfig();
                    
                    String value = datas.get("RoleListSQL");
                    if(value !=null && value.trim().length()>1){
                    	roleChecked = "checked=checked";
                    	roleNoStarDisplayStyle = "style=\"display:none;\"";
                        roleStarDisplayStyle = "";
                    }
                    
                    value = datas.get("AttrsSQL");
					if(value !=null && value.trim().length()>1){
					    attrChecked = "checked=checked";
					    attrNoStarDisplayStyle = "style=\"display:none;\"";
		                attrStarDisplayStyle = "";
                    }
					
                    value = datas.get("ProfileNamesSQL");
					if(value !=null && value.trim().length()>1){
					    profChecked = "checked=checked";
					    profNoStarDisplayStyle = "style=\"display:none;\"";
		                profStarDisplayStyle = "";
                    }
					
                    type = datas.get("RealmType");
                } catch (Exception e) {
                    CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(),
                            e);
                    session.setAttribute(CarbonUIMessage.ID, uiMsg);
    %>
	        <jsp:include page="../admin/error.jsp"/>
	<%
	            return;
	            }
	%>
<fmt:bundle basename="org.wso2.carbon.userstore.ui.i18n.Resources">
<carbon:breadcrumb label="edit.external.store.configuration"
		resourceBundle="org.wso2.carbon.userstore.ui.i18n.Resources"
		topPage="false" request="<%=request%>" />
		
    <script type="text/javascript">
    
    function doValidationForJDBC() {
        var reason = "";
        reason = validateEmpty("connectionURL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.url"/>");
            return false;
        }

        reason = validateEmpty("driverName");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.driver.name"/>");
            return false;
        }
        
        reason = validateStorePassword("connectionPassword");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="store.password.error"/>");
            return false;
        }
        reason = checkStorePasswordRetype("connectionPassword", "connectionPasswordRetype");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="store.password.retype.error"/>");
            return false;
        }
        
        reason = validateEmpty("userPasswordSQL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.valid.user.password.sql"/>");
            return false;
        }
        
        reason = validateEmpty("userFilterSQL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.valid.user.filter.sql"/>");
            return false;
        }
        
        reason = validateEmpty("isUserExistingSQL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.valid.single.user.select.sql"/>");
            return false;
        }
        
        reason = validateEmpty("userListSQL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.list.sql"/>");
            return false;
        }
        
        var importRoles = document.getElementById("importRoles");
        if(importRoles.checked){
            
            reason = validateEmptyById("jroleListSQL");
            if (reason != "") {
                CARBON.showWarningDialog("<fmt:message key="enter.valid.role.list.sql"/>");
                return false;
            }
        
            reason = validateEmptyById("jusersInRoleSQL");
            if (reason != "") {
                CARBON.showWarningDialog("<fmt:message key="enter.valid.users.in.role.sql"/>");
                return false;
            }
        
            reason = validateEmptyById("juserRoleSQL");
            if (reason != "") {
                CARBON.showWarningDialog("<fmt:message key="enter.valid.user.role.sql"/>");
                return false;
            }
        
        }else{
            var elem1 = document.getElementById("jroleListSQL");
            elem1.value = null;
            var elem2 = document.getElementById("jusersInRoleSQL");
            elem2.value = null;
            var elem3 = document.getElementById("juserRoleSQL");
            elem3.value = null;
        }
        
        
        var importAttrs = document.getElementById("importAttrs");
        if(importAttrs.checked){
            reason = validateEmptyById("jattrsSQL");
            if (reason != "") {
                CARBON.showWarningDialog("<fmt:message key="enter.valid.attrs.sql"/>");
                return false;
            }
        }else{
            var elem2 = document.getElementById("jattrsSQL");
            elem2.value = null;
        }
        
        var importProfiles = document.getElementById("importMultipleProfiles");
        if(importProfiles.checked){
            reason = validateEmptyById("jprofileNamesSQL");
            if (reason != "") {
                CARBON.showWarningDialog("<fmt:message key="enter.valid.profiles.sql"/>");
                return false;
            }
            reason = validateEmptyById("jattrsForProfileSQL");
            if (reason != "") {
                CARBON.showWarningDialog("<fmt:message key="enter.valid.profiles.attrs.sql"/>");
                return false;
            }
        }else{
        	var elem1 = document.getElementById("jprofileNamesSQL");
            elem1.value = null;
            var elem2 = document.getElementById("jattrsForProfileSQL");
            elem2.value = null;
        }
        
        
        return true;
    }

    function doValidationForLDAP() {
        var reason = "";
        reason = validateEmpty("connectionURL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.url"/>");
            return false;
        }
        reason = validateEmpty("connectionName");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.name"/>");
            return false;
        }
        reason = validateEmpty("connectionPassword");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.password"/>");
            return false;
        }
        reason = validateStorePassword("connectionPassword");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="store.password.error"/>");
            return false;
        }
        reason = checkStorePasswordRetype("connectionPassword", "connectionPasswordRetype");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="store.password.retype.error"/>");
            return false;
        }
        return true;
    }

    function doValidationForAD() {
        var reason = "";
        reason = validateEmpty("connectionURL");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.url"/>");
            return false;
        }
        reason = validateEmpty("connectionName");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.name"/>");
            return false;
        }
        reason = validateEmpty("connectionPassword");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="enter.a.valid.connection.password"/>");
            return false;
        } 
        reason = validateStorePassword("connectionPassword");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="store.password.error"/>");
            return false;
        }
        reason = checkStorePasswordRetype("connectionPassword", "connectionPasswordRetype");
        if (reason != "") {
            CARBON.showWarningDialog("<fmt:message key="store.password.retype.error"/>");
            return false;
        }
        return true;
    }

    function showDivsOnTypeSelect() {
        var realmType = document.getElementById("realmType");
        var localjdbc = document.getElementById("jdbc-div");
        var localldap = document.getElementById("ldap-div");
        var localactivedir = document.getElementById("actdir-div");
        if (realmType.value == "JDBC") {
            localjdbc.style.display = "inline";
            localldap.style.display = "none";
            localactivedir.style.display = "none";
        }
        if (realmType.value == "LDAP") {
            localjdbc.style.display = "none";
            localldap.style.display = "inline";
            localactivedir.style.display = "none";
        }
        if (realmType.value == "AD") {
            localjdbc.style.display = "none";
            localldap.style.display = "none";
            localactivedir.style.display = "inline";
        }
    }

    function showAttrHideStars(){
        var importAttrs = document.getElementById("importAttrs");
        var nostar2 = document.getElementById("nostar5");
        var star2 = document.getElementById("star5");
        if (importAttrs.checked) {
            nostar2.style.display = "none";
            star2.style.display = "inline";
        }else{
            nostar2.style.display = "inline";
            star2.style.display = "none";
        }
    }

    function showHideMultipleProfilesStars(){
        var importProfiles = document.getElementById("importMultipleProfiles");
        var nostar1 = document.getElementById("nostar6");
        var star1 = document.getElementById("star6");
        var nostar2 = document.getElementById("nostar7");
        var star2 = document.getElementById("star7");
        if (importProfiles.checked) {
            star1.style.display = "inline";
            star2.style.display = "inline";
            nostar1.style.display = "none";
            nostar2.style.display = "none";
        }else{
        	star1.style.display = "none";
            star2.style.display = "none";
            nostar1.style.display = "inline";
            nostar2.style.display = "inline";
        }
    }

    function showHideStars(){
        var importRoles = document.getElementById("importRoles");
        var nostar1 = document.getElementById("nostar1");
        var nostar2 = document.getElementById("nostar2");
        var nostar3 = document.getElementById("nostar3");
        var star1 = document.getElementById("star1");
        var star2 = document.getElementById("star2");
        var star3 = document.getElementById("star3");
        if (importRoles.checked) {
            nostar1.style.display = "none";
            nostar2.style.display = "none";
            nostar3.style.display = "none";
            star1.style.display = "inline";
            star2.style.display = "inline";
            star3.style.display = "inline";
        }else{
            nostar1.style.display = "inline";
            nostar2.style.display = "inline";
            nostar3.style.display = "inline";
            star1.style.display = "none";
            star2.style.display = "none";
            star3.style.display = "none";
        }
    }
    
    function doCancel() {
        location.href = 'index.jsp';
    }


    </script>
    
    <div id="middle">
        <h2><fmt:message key="external.user.store.configuration"/></h2>

        <div id="workArea">
    <%
    if ("jdbc".equals(type)) {
    %>  
 
            <form id="jdbc-form" name="jdbc-form" action="config-edit-finish.jsp"
                  onsubmit="return doValidationForJDBC();">

	<table class="styledLeft">
		<thead>
			<tr>
				<th colspan="2"><fmt:message key="jdbc.store.properties" /></th>
			</tr>
		</thead>
		<tr>
			<td class="formRaw">
			<table class="normal">
				<tr>
					<td><fmt:message key="connection.url" /><font color="red">*</font></td>
					<td><input type="text" name="connectionURL" value="<%=datas.get("ConnectionURL")%>" /></td>
				</tr>
				<tr>
					<td><fmt:message key="connection.user.name" /></td>
					<td><input type="text" name="connectionName" value="<%=datas.get("ConnectionName")%>" /></td>
				</tr>
				<tr>
					<td><fmt:message key="connection.password" /></td>
					<td><input type="password" name="connectionPassword" id="connectionPassword" value="<%=datas.get("ConnectionPassword")%>" /></td>
				</tr>
				<tr>
                    <td><fmt:message key="connection.password.retype" /></td>
                    <td><input type="password" name="connectionPasswordRetype" id="connectionPasswordRetype" value="<%=datas.get("ConnectionPassword")%>" /></td>
                </tr>
				<tr>
					<td><fmt:message key="driver.name" /><font color="red">*</font></td>
					<td><input type="text" name="driverName" value="<%=datas.get("DriverName")%>" /></td>
				</tr>
	 		<tr>
            	<td class="middle-header" colspan="2"><fmt:message key="user.information" /></td>
        	</tr>
			<tr>
				<td><fmt:message
					key="sql.for.retriving.a.given.user.s.password" /><font color="red">*</font></td>
				<td><input type="text" name="userPasswordSQL" value="<%=datas.get("UserPasswordSQL")%>" /></td>
			</tr>
               <tr>
                   <td><nobr><fmt:message key="sql.for.listing.users"/><font color="red">*</font></nobr></td>
                   <td><input type="text" name="userFilterSQL" value="<%=datas.get("UserFilterSQL")%>"/></td>
               </tr>
               <tr>
                   <td><nobr><fmt:message key="sql.for.selecting.single.user"/><font color="red">*</font></nobr></td>
                   <td><input type="text" name="isUserExistingSQL" value="<%=datas.get("IsUserExistingSQL")%>"/></td>
               </tr>
			<tr>
				<td><fmt:message key="sql.for.retriving.a.user.list" /><font color="red">*</font></td>
				<td><input type="text" name="userListSQL" value="<%=datas.get("UserListSQL")%>" /></td>
			</tr>
		    <tr>
                <td class="middle-header" colspan="2"><fmt:message key="role.information" /></td>
            </tr>
        <tr>
            <td colspane="2">
            <input type="checkbox" id="importRoles" name="importRoles" <%=roleChecked%> onclick="showHideStars();"/>
            <fmt:message key="import.roles.from.the.database"/>
            </td>
        </tr>
        <tr>
            <td>
            <div id="nostar1" <%=roleNoStarDisplayStyle%> ><nobr><fmt:message key="sql.for.retrieving.a.given.user.s.role.list"/></nobr></div>
            <div id="star1"  <%=roleStarDisplayStyle%> ><fmt:message key="sql.for.retrieving.a.given.user.s.role.list"/><font color="red">*</font></div>
            </td>
            <td><input type="text" name="userRoleSQL" id="juserRoleSQL" value="<%=datas.get("UserRoleSQL")%>"/></td>
        </tr>
        <tr>
            <td>
            <div id="nostar2" <%=roleNoStarDisplayStyle%>><nobr><fmt:message key="sql.for.retrieving.users.in.a.role"/></nobr></div>
            <div id="star2"  <%=roleStarDisplayStyle%>><fmt:message key="sql.for.retrieving.users.in.a.role"/><font color="red">*</font></div>
            </td>
            <td><input type="text" name="usersInRoleSQL" id="jusersInRoleSQL" value="<%=datas.get("UsersInRoleSQL")%>"/></td>
        </tr>
        <tr>
            <td>
            <div id="nostar3" <%=roleNoStarDisplayStyle%>><nobr><fmt:message key="sql.for.listing.the.role.list"/></nobr></div>
            <div id="star3" <%=roleStarDisplayStyle%>><fmt:message key="sql.for.listing.the.role.list"/><font color="red">*</font></div>
            </td>
            <td><input type="text" name="roleListSQL" id="jroleListSQL" value="<%=datas.get("RoleListSQL")%>"/></td>
        </tr>
        <tr>
            <td class="middle-header" colspan="3"><fmt:message key="user.attrs.information"/></td>
        </tr>
        
        <tr>
            <td colspane="2">
            <input type="checkbox" id="importAttrs" name="importAttrs" <%=attrChecked%> onclick="showAttrHideStars();"/>
            <fmt:message key="import.attrs.from.the.database"/>
            </td>
        </tr>
        <tr>
            <td>
            <div id="nostar5"  <%=attrNoStarDisplayStyle%> ><nobr><fmt:message key="sql.for.retrieving.an.attribute.values"/></nobr></div>
            <div id="star5"  <%=attrStarDisplayStyle%>><fmt:message key="sql.for.retrieving.an.attribute.values"/><font color="red">*</font></div>
            </td>
            <td><input type="text" name="attrsSQL" id="jattrsSQL" value="<%=datas.get("AttrsSQL")%>"/></td>
        </tr>
        <tr>
            <td colspane="2">
            <input type="checkbox" id="importMultipleProfiles" name="importMultipleProfiles" <%=profChecked%> onclick="showHideMultipleProfilesStars();"/>
            <fmt:message key="import.multiple.profiles"/>
            </td>
        </tr>
       <tr>
            <td>
            <div id="nostar6" <%=profNoStarDisplayStyle%>><nobr><fmt:message key="sql.for.retrieving.profile.names"/></nobr></div>
            <div id="star6"  <%=profStarDisplayStyle%>><fmt:message key="sql.for.retrieving.profile.names"/><font color="red">*</font></div>
            </td>
            <td><input type="text" name="profileNamesSQL" id="jprofileNamesSQL" value="<%=datas.get("ProfileNamesSQL")%>"/></td>
        </tr>
        <tr>
            <td>
            <div id="nostar7"  <%=profNoStarDisplayStyle%> ><nobr><fmt:message key="sql.for.retrieving.attr.values.for.profile"/></nobr></div>
            <div id="star7"  <%=profStarDisplayStyle%> ><fmt:message key="sql.for.retrieving.attr.values.for.profile"/><font color="red">*</font></div>
            </td>
            <td><input type="text" name="attrsForProfileSQL" id="jattrsForProfileSQL" value="<%=datas.get("AttrsForProfileSQL")%>"/></td>
        </tr>
				</table>
			</td>
		</tr>
	<tr>
	<td>
	<table>
		<tr>
			<td class="buttonRow" colspan="2">
			    <input value="<fmt:message key="finish"/>" type="submit" class="button"/>
			    <input value="<fmt:message key="cancel"/>" type="button" onclick="doCancel();" class="button"/></td>
		</tr>
	</table>
	</td>
	</tr>
	</table>
	<input type="hidden" name="realmType" value="jdbc" /> 
	</form>
	<%
	} else if ("ldap".equals(type)) {
	%>  
    <form id="ldap-form" name="ldap-form" action="config-edit-finish.jsp"
                  onsubmit="return doValidationForLDAP();">
    <table class="styledLeft">
        <thead>
            <tr>
                <th colspan="2"><fmt:message key="ldap.store.properties"/></th>
             </tr>
         </thead>
         <tr>
              <td class="formRaw">
                  <table class="normal">
                        <tr>
                            <td><fmt:message key="connection.url"/><font color="red">*</font></td>
                            <td><input type="text" name="connectionURL" value="<%=datas.get("ConnectionURL")%>"/></td>
                        </tr>
                        <tr>
                            <td><fmt:message key="connection.user.name"/><font color="red">*</font></td>
                            <td><input type="text" name="connectionName" value="<%=datas.get("ConnectionName")%>"/></td>
                        </tr>
                        <tr>
                            <td><fmt:message key="connection.password"/><font color="red">*</font></td>
                            <td><input type="password" name="connectionPassword" id="connectionPassword" value="<%=datas.get("ConnectionPassword")%>"/></td>
                        </tr>
                         <tr>
                            <td><fmt:message key="connection.password.retype"/><font color="red">*</font></td>
                            <td><input type="password" name="connectionPasswordRetype" id="connectionPasswordRetype" value="<%=datas.get("ConnectionPassword")%>"/></td>
                        </tr>
                        <tr>
                            <td><fmt:message key="user.context.name"/><font color="red">*</font></td>
                            <td><input type="text" name="userContextName" value="<%=datas.get("UserContextName")%>"/></td>
                        </tr>
                        <tr>
                            <td><fmt:message key="user.searchname"/><font color="red">*</font></td>
                            <td><%=datas.get("UIDSearchName")%></td>
                        </tr>
                    </table>
                 </td>
            </tr>
            <tr>
                 <td class="buttonRow" colspan="2">
                    <input value="<fmt:message key="finish"/>" type="submit" onclick="addToHistory();" class="button"/>
                    <input value=" <fmt:message key="cancel"/> " type="button" onclick="doCancel();" class="button"/>
                 </td>
            </tr>
        </table>
        <input type="hidden" name="realmType" value="ldap"/>
      </form>


    <%
    } else if ("act-dir".equals(type)) {
    %>  

            <form id="actdir-form" name="actdir-form" action="config-edit-finish.jsp"
                  onsubmit="return doValidationForAD();">
	<table class="styledLeft">
		<thead>
			<tr>
				<th colspan="2"><fmt:message
					key="active.directory.store.properties" /></th>
			</tr>
		</thead>
		<tr>
			<td class="formRaw">
			<table class="normal">
				<tr>
					<td><fmt:message key="connection.url" /><font color="red">*</font></td>
					<td><input type="text" name="connectionURL" value="<%=datas.get("ConnectionURL")%>" /></td>
				</tr>
				<tr>
					<td><fmt:message key="user.dn" /><font color="red">*</font></td>
					<td><input type="text" name="connectionName" value="<%=datas.get("ConnectionName")%>" /></td>
				</tr>
				<tr>
					<td><fmt:message key="connection.password" /><font color="red">*</font></td>
					<td><input type="password" name="connectionPassword" id="connectionPassword" value="<%=datas.get("ConnectionPassword")%>" /></td>
				</tr>
				<tr>
                    <td><fmt:message key="connection.password.retype" /><font color="red">*</font></td>
                    <td><input type="password" name="connectionPasswordRetype" id="connectionPasswordRetype" value="<%=datas.get("ConnectionPassword")%>" /></td>
                </tr>
				<tr>
					<td><fmt:message key="base.dn" /><font color="red">*</font></td>
					<td><input type="text" name="searchBase" value="<%=datas.get("SearchBase")%>" /></td>
				</tr>
				</table>
				</td>
				</tr>

				<tr>
					<td class="buttonRow" colspan="2">
					   <input value="<fmt:message key="finish"/>" type="submit" class="button"/>
					   <input value=" <fmt:message key="cancel"/> " type="button" onclick="doCancel();" class="button"/></td>
				</tr>
				<input type="hidden" name="realmType" value="act-dir" />
			</table>
	</form>

    <%
    }
    %>   
           </div>
    </div>
</fmt:bundle>