<%-- 
 * Copyright 2005 Darren L. Spurgeon
 * Copyright 2007 Jens Kapitza
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
--%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ page import="javax.servlet.jsp.jstl.core.Config, java.util.*" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
  <title>AJAX JSP Tag Library Examples</title>

  <script type="text/javascript" src="/carbon/ajax/js/prototype.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/scriptaculous/scriptaculous.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/overlibmws/overlibmws.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/overlibmws/overlibmws_crossframe.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/overlibmws/overlibmws_iframe.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/overlibmws/overlibmws_hide.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/overlibmws/overlibmws_shadow.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/ajax/ajaxtags.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/ajax/ajaxtags_controls.js"></script>
  <script type="text/javascript" src="/carbon/ajax/js/ajax/ajaxtags_parser.js"></script>
 
  <link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/ajaxtags.css" />
  <link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/site.css" />
 <link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/displaytag.css" />

<%
System.out.println("%%%%%%%%%%%%%&&&%***%%%%%%"+request.getContextPath());
%>

<c:set var="contextPath" scope="request">/carbon/ajax</c:set>

<div id="header">~~~~~~~~~ AJAX JSP Tag Library Examples</div>
<div id="subheader">
  <a href="http://ajaxtags.sourceforge.net/" target="_top" style="background: url(./img/external.png) right center no-repeat; padding-right: 15px;">Project website</a>
  | <a href="http://sourceforge.net/projects/ajaxtags/" target="_top" style="background: url(./img/external.png) right center no-repeat; padding-right: 15px;">AjaxTags@SourceForge</a>
</div>
<div id="buildVersion">Using Project Version 1.3</div>

<% 
	if (!request.getServletPath().matches(".*index\\.jsp.*")) {
	// back href if it is not index
	%>
<div style="margin-top: 0px; padding-top: 0px; font-size: 70%">
  <a href="/carbon/ajax/index.jsp">&lt;&lt; Back to Index</a>
</div>
<% } %>
<div id="content">
